Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4002 - "reply all" not functional in exmh
Summary: "reply all" not functional in exmh
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: exmh
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-12 18:40 UTC by glenn
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-25 03:38:49 UTC


Attachments (Terms of Use)

Description glenn 1999-07-12 18:40:42 UTC
The current release (and future ones, apparently!) are not
completely compatible with nmh.  In particular, the reply
all function doesn't work.  exmh invokes 'repl' with
-cc to -cc cc when reply all is used.  The 'replcomps'
file in nmh doesn't comprehend the -cc flags, and they
get dropped.

This patch (per Richard Coleman) fixes exmh to work properly
with nmh:

*** app-defaults        Mon Jul 12 14:25:19 1999
--- /usr/local/lib/exmh-2.0.2/app-defaults      Wed Dec 30
11:59:39 1998
***************
*** 373,379 ****
  *Mops.reply.m.l_reply:        Reply to sender <Key-r>
  *Mops.reply.m.c_reply:                Msg_Reply -nocc to
-nocc cc
  *Mops.reply.m.l_replyall:     Reply all <Key-R>
! *Mops.reply.m.c_replyall:     Msg_Reply -cc to -cc cc

  *Mops.reply.m.t_sep:  separator
  *Mops.reply.m.l_help: Defining more...
--- 373,379 ----
  *Mops.reply.m.l_reply:        Reply to sender <Key-r>
  *Mops.reply.m.c_reply:                Msg_Reply -nocc to
-nocc cc
  *Mops.reply.m.l_replyall:     Reply all <Key-R>
! *Mops.reply.m.c_replyall:     Msg_Reply -group -nocc me

  *Mops.reply.m.t_sep:  separator
  *Mops.reply.m.l_help: Defining more...

It's also possible to change nmh to work with nmh by
changing the replcomps file.

As far as I know, exmh will work properly with a stock
mh release.

Comment 1 glenn 1999-09-01 14:04:59 UTC
A fix for this bug has been committed to the CVS sources on
25 Aug 1999, by Anders Hammarquist <iko@cd.chalmers.se>.
I haven't been able to check it out yet to see if it works.

Here's a description of the fix:

> I have a patch that has been in the Debian exmh package for a while
> that does determine it at runtime. (Basically, it checks at startup
> whether repl lists -group in the help, and if so, uses it for
replies
> to all). It will not survive switching between nmh and mh underneath
> a running exmh though.
>
> The reason I haven't applied it is that I thought I saw someone on
> the nmh mailing list saying it would go away from some not to
distant
> nmh. I may have been hallucinating however, so I guess I'll just
apply
> it.
>
> /Anders
>

Comment 2 Michael K. Johnson 1999-09-20 15:04:59 UTC
Lorax and RawHide have a new version of nmh that I expect fix this.
ftp://ftp.redhat.com/pub/lorax/i386/RedHat/RPMS/nmh-1.0-2.i386.rpm

Comment 3 Michael K. Johnson 1999-09-25 03:38:59 UTC
Please re-open this bug if the update mentioned before does not
fix the problem.  We've also got a new release of exmh, though
I did not apply the patch on the assumption that using the newer
nmh was the right way to fix this.


Note You need to log in before you can comment on or make changes to this bug.